#include <kmainwindow.h>
#include <kurl.h>
#include <kpushbutton.h>
#include <kparts/browserextension.h>

class KLineEdit;
class KHTMLPart;

class KHello : public KMainWindow
{
   Q_OBJECT
  public:
 
    KHello ( const char * name );

  public slots:
    void changeLocation();
    void fileFileDialog();
    void fileDirSel();
    void fileIconDialog();
    void nav1();
    void nav2();
    void nav3();
    void openURLRequest(const KURL &url, const KParts::URLArgs & );

  private:
    QPushButton *btnNav1;
    QPushButton *btnNav2;
    QPushButton *btnNav3;
    KLineEdit *location;
    KHTMLPart *browser;
};
